Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client
Class CreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.inject.client.CreationException

All Implemented Interfaces:
  java.io.Serializable

    public class CreationException

extends java.lang.RuntimeException

Exception thrown by Gin at GWT runtime if an error occurs while creating a requested object.

See Also:
  Serialized Form

Constructor Summary
`CreationException(java.lang.String s)`
`CreationException(java.lang.String s, java.lang.Throwable throwable)`
`CreationException(java.lang.Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreationException

    public CreationException(java.lang.String s)

### CreationException

    public CreationException(java.lang.String s,
                             java.lang.Throwable throwable)

### CreationException

    public CreationException(java.lang.Throwable throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD